%define	name	kmediafactory
%define	version	0.5.2
%define	release	%mkrel 4

%define	major	0
%define	libname	%mklibname %{name} %{major}

%define __libtoolize /bin/true

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://susku.pyhaselka.fi/damu/software/kmediafactory/
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Publishing
Summary:	DVD menu generator
BuildRequires:	ImageMagick-devel mjpegtools libmjpegtools-devel libdv-devel libdvdread-devel
BuildRequires:	libtheora-devel libxine-devel dvdauthor dvd-slideshow kdelibs-devel qt3-devel
BuildRequires:	zip
%ifarch %{ix86} ppc
%if %mdkversion >= 200700
BuildRequires:	openoffice.org
%endif
%if %mdkversion < 200700
BuildRequires:	openoffice.org-go-ooo
%endif
%endif
%if %mdkversion > 200700
%ifarch x86_64 ppc64
BuildRequires:  openoffice.org64
%endif
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
KMediaFactory is an easy to use template based dvd authoring tool.
You can quickly create DVD menus for home videos and TV recordings
in three simple steps. 

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
Libraries needed by %{name}.

%package -n	%{libname}-devel
Summary:	Development headers and libraries for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
Development libraries and headers for %{name}.

%prep
%setup -q

%build
%configure2_5x	--enable-final \
		--enable-shared \
		--disable-static \
		--disable-embedded \
		--disable-rpath \
		--with-gnu-ld \
		--with-pic \
		--with-xinerama
%make

%install
rm -rf %{buildroot}
%makeinstall_std UNOPKG=/bin/true

install -d %{buildroot}%{_menudir}
kdedesktop2mdkmenu.pl kmediafactory "Multimedia/Graphics" %{buildroot}%{_datadir}/applnk/Utilities/kmediafactory.desktop %{buildroot}%{_menudir}/kmediafactory
kdedesktop2mdkmenu.pl kmediafactory "Multimedia/Graphics" %{buildroot}%{_datadir}/applnk/Utilities/kmediafactory.desktop %{buildroot}%{_menudir}/kmediafactoryplayer

install -m644 icons/cr16-app-kmediafactory.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 icons/cr32-app-kmediafactory.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 icons/cr48-app-kmediafactory.png -D %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %{name} --all-name

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applnk/*/*
%{_datadir}/apps/kmediafactory*
%{_datadir}/apps/kmfwidgets
%doc %{_docdir}/HTML/en/%{name}
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/*/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_menudir}/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libdir}/lib*.la
%{_libdir}/kde3/*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_includedir}/*.h
%{_libdir}/lib*.so


%changelog
* Thu Dec 14 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.2-4mdv2007.1
+ Revision: 97052
- bump
- no openoffice.org64 on 2007

* Thu Dec 14 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.2-3mdv2007.1
+ Revision: 96879
- nail last buildrequires
- fix openoffice.org bildrequires
- fix yet another buildrequires
- I suck too hard at buildrequires
- yet another buildrequires
- fix buildrequires
- Rebuild
  fix buildrequires
- Import kmediafactory

